openSUSE Security Update : libvpx (openSUSE-2020-105)

high Nessus Plugin ID 133253
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 5.9

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for libvpx fixes the following issues :

- CVE-2019-2126: Fixed a double free in ParseContentEncodingEntry() (bsc#1160611).

- CVE-2019-9325: Fixed an out-of-bounds read (bsc#1160612).

- CVE-2019-9232: Fixed an out-of-bounds memory access on fuzzed data (bsc#1160613).

- CVE-2019-9433: Fixed a use-after-free in vp8_deblock() (bsc#1160614).

- CVE-2019-9371: Fixed a resource exhaustion after memory leak (bsc#1160615).

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected libvpx packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1160611

https://bugzilla.opensuse.org/show_bug.cgi?id=1160612

https://bugzilla.opensuse.org/show_bug.cgi?id=1160613

https://bugzilla.opensuse.org/show_bug.cgi?id=1160614

https://bugzilla.opensuse.org/show_bug.cgi?id=1160615

Plugin Details

Severity: High

ID: 133253

File Name: openSUSE-2020-105.nasl

Version: 1.2

Type: local

Agent: unix

Published: 1/27/2020

Updated: 1/30/2020

Dependencies: ssh_get_info.nasl

Risk Information

Risk Factor: High

VPR Score: 5.9

CVSS v2.0

Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:novell:opensuse:15.1:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:libvpx-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:libvpx-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:vpx-tools:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:vpx-tools-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:libvpx4:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:libvpx4-32bit:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:libvpx4-32bit-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:libvpx4-debuginfo:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 1/25/2020

Vulnerability Publication Date: 8/20/2019

Reference Information

CVE: CVE-2019-9371, CVE-2019-9232, CVE-2019-9325, CVE-2019-9433, CVE-2019-2126